# Interface MeshDataServer

All Superinterfaces:
  `VertexDataServer`

All Known Implementing Classes:
  `Contact, Isosurface, LcaoCartoon, MolecularOrbital, NBO, Plot3D, Pmesh`

public interface MeshDataServer extends VertexDataServer

## Method Summary

Modifier and Type
Method
Description
`void`
`addRequiredFile(String fileName)`
`P3[]`
`calculateGeodesicSurface(BS bsSelected, float envelopeRadius)`
`void`
`fillMeshData(MeshData meshData, int mode, IsosurfaceMesh mesh)`
`void`
`invalidateTriangles()`
`boolean`
`notifySurfaceGenerationCompleted()`
`void`
`notifySurfaceMappingCompleted()`
`void`
`setOutputChannel(GenericBinaryDocument binaryDoc, OC out)`
`void`
`setRequiredFile(String oldName, String fileName)`

### Methods inherited from interface VertexDataServer

`addTriangleCheck, addVertexCopy, getPlane, getSurfacePointIndexAndFraction, getValue`

## Method Details

### invalidateTriangles

void invalidateTriangles()

### fillMeshData

void fillMeshData(MeshData meshData, int mode, IsosurfaceMesh mesh)

### notifySurfaceGenerationCompleted

boolean notifySurfaceGenerationCompleted()

### notifySurfaceMappingCompleted

void notifySurfaceMappingCompleted()

### calculateGeodesicSurface

P3[] calculateGeodesicSurface(BS bsSelected, float envelopeRadius)

### addRequiredFile

void addRequiredFile(String fileName)

### setOutputChannel

void setOutputChannel(GenericBinaryDocument binaryDoc, OC out)

### setRequiredFile

void setRequiredFile(String oldName, String fileName)